<?php
include_once('../inclfiles/core.php');

if($id != null){
	if(mysql_num_rows(mysql_query("SELECT * FROM `news` WHERE `id` = ".$id.""))>0){
		$new = mysql_fetch_array(mysql_query("SELECT * FROM `news` WHERE `id` = ".$id.""));
		$title = $new['name'];
		include_once('../inclfiles/head.php');

		if($user['lastnew'] == 1){
			$lastnew = mysql_fetch_array(mysql_query("SELECT * FROM `news` ORDER BY `time` DESC LIMIT 1"));
			if($lastnew['id']  == $new['id']) mysql_query("UPDATE `users` SET `lastnew`=0 WHERE `id` = '".$user['id']."'");
        }

   		if($user AND $user['level'] >= 2){
   			if($act == 'delete'){
	        	if(mysql_num_rows(mysql_query("SELECT * FROM `news_coms` WHERE `id` = ".$id2." AND `new` = ".$id." AND `deleted` = 0")) > 0){
	        		mysql_query("UPDATE `news_coms` SET `deleted` = ".$user['id'].", `deleted_time` = ".time()."  WHERE `id` = ".$id2." AND `new` = ".$id."");
	        		m('Комментарий успешно удален');
	        	}
	        	else e('Комментарий не найден. Возможно, он был удален раннее');
	      	}
	      	else if($act == 'vost'){
	        	if(mysql_num_rows(mysql_query("SELECT * FROM `news_coms` WHERE `id` = ".$id2." AND `new` = ".$id." AND `deleted` > 0")) > 0){
	        		mysql_query("UPDATE `news_coms` SET `deleted` = 0, `deleted_time` = 0  WHERE `id` = ".$id2." AND `new` = ".$id."");
	        		m('Комментарий успешно восстановлен');
	        	}
	        	else e('Комментарий не найден. Возможно, он был восстановлен раннее');
	      	}
		}

		if($_POST['ok'] != null){
			$text = filter($_POST['text']);
			if(!$user) $err[] ='Вы не авторизованы';
			else if($text == null) $err[] ='Не введен текст комментария';
			else if(strlen2($text) > 200 OR strlen2($text) < 1) $err[] ='Текст комментария должен быть не менее 1 символа и не более 200 символов';
			else{
				$all_user_coms = mysql_num_rows(mysql_query("SELECT * FROM `news_coms` WHERE `user` = ".$user['id']." AND `new` = ".$id.""));
				if($all_user_coms > 0) $user_message = mysql_fetch_array( mysql_query("SELECT * FROM `news_coms` WHERE `user` = ".$user['id']." AND `new` = ".$id." ORDER BY `time` DESC LIMIT 1"));
				if($all_user_coms > 0 AND $user_message['text'] == $text) $err[] = 'Вы уже писали такой комментарий раннее';
                if(!isset($err)){
					mysql_query("INSERT INTO `news_coms` SET `text` = '".$text."', `new` = ".$id.", `user` = ".$user['id'].", `time` = ".time()."");
					m('Ваш комментарий успешно добавлен');
				}
			}
		}

		err();
        t(time_right($new['time']).user($new['user']).'<br/>'.nl2br(bbcode(smiles($new['text']))));
        $all = mysql_num_rows(mysql_query("SELECT * FROM `news_coms` WHERE `new` = ".$new['id']."".$deleted.""));

		if($all != 0){
		    t('Комментарии ('.$all.'):');
			$total=intval(($all-1)/$set['napage'])+1;
			if(empty($page) OR $page < 0) $page = 1;
			if($page > $total) $page = $total;
			$past=intval($all/$set['napage']);
			$start=$page*$set['napage']-$set['napage'];
			$news_coms = mysql_query("SELECT * FROM `news_coms` WHERE `new` = ".$new['id']."".$deleted." ORDER BY `time` ASC LIMIT ".$start.",".$set['napage']."");
			while($new_com= mysql_fetch_array($news_coms)){
				$start++;
				t($start.'. '.time_right($new_com['time']).user($new_com['user']).deleted($new_com['deleted']).'<br/>'.nl2br(bbcode(smiles($new_com['text']))));
				if($user AND $user['level'] >= 2){
					if($new_com['deleted'] == 0) a('news.php?act=delete&id='.$id.'&id2='.$new_com['id'].'&page='.$page.'&','Удалить комментарий','delete');
					else a('news.php?act=vost&id='.$id.'&id2='.$new_com['id'].'&page='.$page.'&','Восстановить комментарий','delete');
				}
			}
			navigation($all,$set['napage'],$page,'news.php?id='.$new['id'].'&',$total);
		}
		else t('Нет комментариев');

		if($user) c('<form action="news.php?id='.$new['id'].'" method="post"><textarea name="text" type="text" maxlength="200"  /></textarea><br/><input name="ok" type="submit" value="Добавить комментарий" /></form>');
		else t('Чтобы добавить комментарий нужно <a href="/reg.php?'.$gets.'">зарегистрироваться</a> либо, если Вы уже зарегистрированы, <a href="/auth.php?'.$gets.'">авторизоваться</a>');
	}
	else{
		$title = 'Ошибка';
		include_once('../inclfiles/head.php');
		t('Новость не найдена');
	}
 	a('news.php?','Все новости','news',mysql_num_rows(mysql_query("SELECT * FROM `news`")));
}
else{
	$title = 'Наши новости';
	include_once('../inclfiles/head.php');
	$all = mysql_num_rows(mysql_query("SELECT * FROM `news`"));
	if($all != 0){
		$total=intval(($all-1)/$set['napage'])+1;
		if(empty($page) OR $page < 0) $page = 1;
		if($page > $total) $page = $total;
		$past=intval($all/$set['napage']);
		$start=$page*$set['napage']-$set['napage'];
		$news = mysql_query("SELECT * FROM `news` ORDER BY `time` DESC LIMIT ".$start.",".$set['napage']."");
		while($new = mysql_fetch_array($news)){
			$start++;
			$coms = mysql_num_rows(mysql_query("SELECT * FROM `news_coms` WHERE `new` = ".$new['id']."".$deleted.""));
			a('news.php?id='.$new['id'].'&',time_right($new['time']).$new['name'],'novost',$coms);
			//if($coms!=0) echo '<a href="/news.php'.$game_sess.'id='.$new['id'].'">'.chislo($coms,'комментарий','комментария','комментариев').'</a><br/>';
			}
		navigation($all,$set['napage'],$page,'news.php?',$total);
	}
	else t('Нет новостей');
	a('index.php?','Информация об игре','info');
}
include_once('../inclfiles/foot.php');
?>